<?php
/*
SMF Gallery Lite Edition
Version 1.0
by:vbgamer45
http://www.smfhacks.com
Copyright 2006 SMFHacks.com

############################################
License Information:
SMF Gallery is NOT free software.
This software may not be redistributed.

Links to http://www.smfhacks.com must remain unless
branding free option is purchased.
#############################################
*/
//Install the Database tables for SMF Gallery


//Picture Table
db_query("CREATE TABLE IF NOT EXISTS `{$db_prefix}gallery_pic`(
`ID_PICTURE` int(11) NOT NULL auto_increment,
`ID_MEMBER` mediumint(8) unsigned NOT NULL default '0',
`date` int(10) unsigned NOT NULL default '0',
`title` VARCHAR(100) NOT NULL,
`description` text,
 `views` int(10) NOT NULL default '0',
 `filesize` int(10) NOT NULL default '0',
 `height` int(10) NOT NULL default '0',
 `width` int(10) NOT NULL default '0',
 `filename` tinytext,
 `thumbfilename` tinytext,
 `commenttotal` int(10) NOT NULL default '0',
 `ID_CAT` int(10) NOT NULL default '0',
 `approved` tinyint(4) NOT NULL default '0',
 `allowcomments` tinyint(4) NOT NULL default '0',
 `keywords` VARCHAR(100) NOT NULL,
PRIMARY KEY  (`ID_PICTURE`))", __FILE__, __LINE__);


//Picture comments
db_query("CREATE TABLE IF NOT EXISTS `{$db_prefix}gallery_comment`(
`ID_COMMENT` int(11) NOT NULL auto_increment,
`ID_PICTURE` int(11) NOT NULL,
`ID_MEMBER` mediumint(8) unsigned NOT NULL default '0',
`approved` tinyint(4) NOT NULL default '0',
`comment` text,
`date` int(10) unsigned NOT NULL default '0',
PRIMARY KEY  (`ID_COMMENT`))", __FILE__, __LINE__);

//Gallery Category
db_query("CREATE TABLE IF NOT EXISTS `{$db_prefix}gallery_cat`
(`ID_CAT` mediumint(8) NOT NULL auto_increment,
`title` VARCHAR(100) NOT NULL,
`description` VARCHAR(255) NOT NULL,
`roworder` mediumint(8) unsigned NOT NULL default '0',
`image` VARCHAR(255) NOT NULL,
PRIMARY KEY  (`ID_CAT`))", __FILE__, __LINE__);


//Gallery Reported Images
db_query("CREATE TABLE IF NOT EXISTS `{$db_prefix}gallery_report`
(`ID` int(11) NOT NULL auto_increment,
`ID_PICTURE` int(11) NOT NULL,
`ID_MEMBER` mediumint(8) unsigned NOT NULL default '0',
`comment` text,
`date` int(10) unsigned NOT NULL default '0',
PRIMARY KEY  (`ID`))", __FILE__, __LINE__);

//Insert the settings
db_query("REPLACE INTO {$db_prefix}settings VALUES ('gallery_max_height', '2500')", __FILE__, __LINE__);
db_query("REPLACE INTO {$db_prefix}settings VALUES ('gallery_max_width', '2500')", __FILE__, __LINE__);
db_query("REPLACE INTO {$db_prefix}settings VALUES ('gallery_max_filesize', '5000000')", __FILE__, __LINE__);
db_query("REPLACE INTO {$db_prefix}settings VALUES ('gallery_who_viewing', '0')", __FILE__, __LINE__);
db_query("REPLACE INTO {$db_prefix}settings VALUES ('gallery_commentchoice', '0')", __FILE__, __LINE__);

?>